# Revision history for mmsyn7ukr

## 0.1.0.0 -- 2019-12-19

* First version. Released on an unsuspecting world.

## 0.1.1.0 -- 2019-12-19

* First version revised A. Fixed an issue with an empty do-block (mismatched code indentation).

## 0.1.1.1 -- 2019-12-20

* First version revised B. Improved some documentation and .cabal file.

## 0.1.2.0 -- 2019-12-23

* First version revised C. Fixed an issues with the not created and not appripriately running recording for the sound.

## 0.2.0.0 -- 2019-12-24

* Second version. Fixed an issue with the copying files. Changed a module structure. Some minor changes to the documentation.

## 0.2.1.0 -- 2019-12-24

* Second version revised A. Extended the bounds for the base package dependency so that it now can be compiled for GHC 8.8.1. 
Added some functionality to improve the control over the program mmsyn7ukr behaviour.

## 0.3.0.0 -- 2019-12-24

* Third version. Changed behaviour of the program so that it now only creates a "voice". It allows to use additional executable mmsyn7h afterwards from the package with the same name. 
The latter is very close to mmsyn6ukr but uses the data files in the directory where it is running instead of defined by the standard for Paths_mmsyn6ukr.

## 0.3.0.1 -- 2019-12-25

* Third version revised A. Changed some documentation and text messages to more consistent ones.

## 0.3.1.0 -- 2019-12-27

* Third version revised B. Changed the behaviour for 'alterVadB' and 'alterVadE' functions so that are now fully iterative with thread delay.

## 0.4.0.0 -- 2019-12-31

* Fourth version. Changed the behaviour of the program. Now it uses command line arguments (if any). See README. Added functions and rewrote the complex ones. 

## 0.4.1.0 -- 2020-01-01

* Fourth version revised A. Fixed issues with the null command line arguments and showing precision. Added new functions.

## 0.4.2.0 -- 2020-01-02

* Fourth version revised B. Added a new function 'gainL' to the SoXBasics module. Fixed an issue with 'volS' function. Some minor code changes. Some documentation improvements.

## 0.5.0.0 -- 2020-01-05

* Fifth version. Added proper support for Windows for the functions in the SoXBasics and Main modules. Added a new function 'gainL' to the SoXBasics module. Fixed an issue with 'volS' function. Some minor code changes. Some documentation improvements.

## 0.5.0.1 -- 2020-01-06

* Fifth version revised A. Improved a documentation structure.

## 0.6.0.0 -- 2020-01-10

* Sixth version. Added a possibility to create not a full set of 
the Ukrainian sounds representations, but only for the those 
non-silent ones that are specified by the third command line parameter.

## 0.6.1.0 -- 2020-01-10

* Sixth version revised A. Fixed issues with wrongly located information messages, 
non-parsed third command line argument. Added a new module ReplaceP. Some minor improvements.

## 0.6.1.1 -- 2020-01-10

* Sixth version revised B. Fixed documentation issues.

## 0.6.2.0 -- 2020-01-13

* Sixth version revised C. Fixed issues with wrongly parsed sounds that are represented with two letters ("дж", "дз", "сь", "ць").

## 0.6.2.1 -- 2020-01-13

* Sixth version revised D. Fixed issues with being not compiled.

## 0.6.3.0 -- 2020-01-13

* Sixth version revised E. Simplified the parsing module ReplaceP.

## 0.7.0.0 -- 2020-01-20

* Sevenh version. Added the possibility to omit the securing and usual limitation (for regularization) for the initial sound data recording duration.
It is so called 'sharp' mode. Fixed an issue with the wrong duration. Some minor code improvements.

## 0.7.1.0 -- 2020-01-20

* Seventh version revised A. Removed the special parameter in the code, which influenced the duration of the initial sound data recording.

## 0.7.2.0 -- 2020-01-21

* Seventh version revised B. Fixed an issue with the noise reduction that can remove sensitive sound recording data from the program
produced recordings. Added some additional functions. Some documentation improvements. The program now creates a noise profile at
the beginning of its execution. Afterwards, it is removed if the program ends successfully.

## 0.7.3.0 -- 2020-01-22

* Seventh version revised C. Changed the realization of the main function. The function tempoR renamed to tempeRa. Documentation improvements.

## 0.7.3.1 -- 2020-01-22

* Seventh version revised D. Some documentation improvements.

## 0.7.4.0 -- 2020-01-22

* Seventh version revised E. Changed the behaviour and the realization of the noise reduction function tempeRa.
